> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/how-tos/inventory/strategies.md).

# Inventory strategies

How to manage the available options in terms of order fulfillment.

Commerce Layer supports different [inventory model](https://docs.commercelayer.io/developers/v/api-reference/inventory_models) strategies that affect the way the order line items are fulfilled.

Specifically, an inventory model strategy is responsible to decide how many shipments are generated and from which stock location each shipment will be shipped. It is also key in managing the [stock transfers](https://docs.commercelayer.io/developers/v/api-reference/stock_transfers) (if any) from one stock location to another.

![A sample inventory strategy diagram](https://2610849379-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Lk-ezuDClaMavTqnRi0%2Fuploads%2F35p6wdZFtFGEXt2GTXiU%2Finventory-strategies-cover.jpg?alt=media\&token=bd9ad541-c360-432e-aa1b-00da5b88e128)

This guide will walk you through the different logic behind each supported strategy.

{% hint style="info" %}
If you're happy with the selected inventory strategy, there's no additional action required from your side (anyway, it can be helpful to know how they work so that you can understand which one best suits your needs). All of the strategies automatically generate the resources based on their predefined logic. If you need to modify those resources or build custom / more complex inventory strategies, you still have the option to do it. You can create, update, or delete [shipments](/core-api-reference/shipments.md), [stock line items](/core-api-reference/stock_line_items.md), and [stock transfers](/core-api-reference/stock_transfers.md) upon specific conditions.
{% endhint %}

### Supported strategies

These are the inventory model strategies Commerce Layer currently supports.

{% content-ref url="/pages/-MZHc\_fDyICD3RwoCuq5" %}
[No split](/how-tos/inventory/strategies/no-split.md)
{% endcontent-ref %}

{% content-ref url="/pages/FhciUV3L33vbqs9o8Ubp" %}
[Split shipments](/how-tos/inventory/strategies/split-shipments.md)
{% endcontent-ref %}

{% content-ref url="/pages/sMG5Vyc8rsBJHs44GNqV" %}
[Split by line items](/how-tos/inventory/strategies/split-by-line-items.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MZHcdAawTBBrPYiNaw8" %}
[Ship from primary](/how-tos/inventory/strategies/ship-from-primary.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MZHcikK4WSRJ9RkTkMb" %}
[Ship from first available (or primary)](/how-tos/inventory/strategies/ship-from-first-available-or-primary.md)
{% endcontent-ref %}

{% hint style="info" %}
If no strategy is set on the inventory model the default one — **no split** — is used. Otherwise, remember that — in terms of stock location prioritization (i.e. *primary* vs *secondary*) — the smaller the number, the higher the priority.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/how-tos/inventory/strategies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
